# Install script for directory: /opt/logicmoo_workspace/swipl-devel

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Release")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Install shared libraries without execute permission?
if(NOT DEFINED CMAKE_INSTALL_SO_NO_EXE)
  set(CMAKE_INSTALL_SO_NO_EXE "1")
endif()

# Is this installation the result of a crosscompile?
if(NOT DEFINED CMAKE_CROSSCOMPILING)
  set(CMAKE_CROSSCOMPILING "FALSE")
endif()

# Set default install directory permissions.
if(NOT DEFINED CMAKE_OBJDUMP)
  set(CMAKE_OBJDUMP "/usr/bin/objdump")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/LICENSE"
    "/opt/logicmoo_workspace/swipl-devel/README.md"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Core_system" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/customize" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/customize/edit"
    "/opt/logicmoo_workspace/swipl-devel/customize/init.pl"
    "/opt/logicmoo_workspace/swipl-devel/customize/README.md"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Documentation" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/doc" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/home/doc/manindex.db")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Documentation" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/doc/packages" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/packages/index.html")
endif()

if(NOT CMAKE_INSTALL_LOCAL_ONLY)
  # Include the install script for each subdirectory.
  include("/opt/logicmoo_workspace/swipl-devel/build/src/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/man/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/chr/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/clib/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/clpqr/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/inclpr/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/cpp/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/http/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/mqi/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/ltx2htm/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/nlp/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/paxos/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/redis/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/stomp/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/PDT/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/pengines/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/pldoc/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/plunit/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/protobufs/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/RDF/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/semweb/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/sgml/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/sweep/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/table/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/utf8proc/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/zlib/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/archive/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/odbc/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/cql/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/bdb/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/pcre/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/yaml/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/jpl/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/swipy/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/ssl/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/tipc/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/swipl-win/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/xpce/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/libedit/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/readline/cmake_install.cmake")

endif()

if(CMAKE_INSTALL_COMPONENT)
  set(CMAKE_INSTALL_MANIFEST "install_manifest_${CMAKE_INSTALL_COMPONENT}.txt")
else()
  set(CMAKE_INSTALL_MANIFEST "install_manifest.txt")
endif()

string(REPLACE ";" "\n" CMAKE_INSTALL_MANIFEST_CONTENT
       "${CMAKE_INSTALL_MANIFEST_FILES}")
file(WRITE "/opt/logicmoo_workspace/swipl-devel/build/${CMAKE_INSTALL_MANIFEST}"
     "${CMAKE_INSTALL_MANIFEST_CONTENT}")
