# Install script for directory: /opt/logicmoo_workspace/swipl-devel/packages/jpl

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Release")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Install shared libraries without execute permission?
if(NOT DEFINED CMAKE_INSTALL_SO_NO_EXE)
  set(CMAKE_INSTALL_SO_NO_EXE "1")
endif()

# Is this installation the result of a crosscompile?
if(NOT DEFINED CMAKE_CROSSCOMPILING)
  set(CMAKE_CROSSCOMPILING "FALSE")
endif()

# Set default install directory permissions.
if(NOT DEFINED CMAKE_OBJDUMP)
  set(CMAKE_OBJDUMP "/usr/bin/objdump")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Java_interface" OR NOT CMAKE_INSTALL_COMPONENT)
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux/libjpl.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux/libjpl.so")
    file(RPATH_CHECK
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux/libjpl.so"
         RPATH "/usr/lib/swipl/lib/x86_64-linux:/usr/lib/jvm/default-java/include:/usr/lib/jvm/default-java/include/linux:/usr/lib/jvm/default-java/lib/server")
  endif()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux" TYPE MODULE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/packages/jpl/libjpl.so")
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux/libjpl.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux/libjpl.so")
    file(RPATH_CHANGE
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux/libjpl.so"
         OLD_RPATH "/usr/lib/jvm/default-java/include:/usr/lib/jvm/default-java/include/linux:/usr/lib/jvm/default-java/lib/server:/opt/logicmoo_workspace/swipl-devel/build/src:"
         NEW_RPATH "/usr/lib/swipl/lib/x86_64-linux:/usr/lib/jvm/default-java/include:/usr/lib/jvm/default-java/include/linux:/usr/lib/jvm/default-java/lib/server")
    if(CMAKE_INSTALL_DO_STRIP)
      execute_process(COMMAND "/usr/bin/strip" "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/swipl/lib/x86_64-linux/libjpl.so")
    endif()
  endif()
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Java_interface" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/library" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/packages/jpl/jpl.pl")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Examples" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/doc/packages/examples/jpl/prolog" TYPE FILE MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/prolog/jpl_colour_choose_demo.pl"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/prolog/jpl_jlist_demo.pl"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/prolog/jpl_table_demo.pl"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/prolog/jpl_text_entry_demo.pl"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/prolog/jpl_versions_demo.pl"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Examples" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/doc/packages/examples/jpl/java" TYPE DIRECTORY MESSAGE_NEVER FILES
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/java/db"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/java/factorial"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/java/family"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/java/semWeb"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/java/system"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/java/test"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/java/testGC"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/java/time"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/java/zahed"
    "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/java/thread"
    )
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Examples" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/doc/packages/examples/jpl/java" TYPE FILE MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/packages/jpl/src/examples/java/README.md")
endif()

if(CMAKE_INSTALL_COMPONENT STREQUAL "Documentation" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/swipl/doc/packages" TYPE FILE OPTIONAL MESSAGE_NEVER FILES "/opt/logicmoo_workspace/swipl-devel/build/packages/jpl//jpl.html")
endif()

if(NOT CMAKE_INSTALL_LOCAL_ONLY)
  # Include the install script for each subdirectory.
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/jpl/src/main/java/cmake_install.cmake")
  include("/opt/logicmoo_workspace/swipl-devel/build/packages/jpl/src/test/java/cmake_install.cmake")

endif()

